{
	"name": "form/nc/report/form/production-label/production-label.json",
	"layout": {
		"component": "nc-col",
		"attribute": {
			"id": "production-label",
			"class": ["nc-align-top"],
			"style": "padding: 0.5px;",
			"width": "auto"
		},
		"element": [
			{
				"component": "nc-rect",
				"attribute": {
					"class": ["nc-align-top"]
				},
				"element": [
					{
						"component": "nc-row",
						"attribute": {
							"class": ["nc-center-v", "nc-center-h"],
							"info": "1/6 = 16.666666% print-height",
							"height": "25/145"
						},
						"element": [
							{
								"component": "nc-input",
								"attribute": {
									"input-style": "font-size: 48px; font-weight: bold; fit-text: fit; text-align: center;",
									"model": "rec.calc.customer",
									"v-on:change": "rec.pdf_update_trigger++"
								}
							}
						]
					},
					{
						"component": "nc-line"
					},
					{
						"component": "nc-row",
						"attribute": {
							"height": "25/145",
							"class": ["nc-center-v", "nc-center-h"]
						},
						"element": [
							{
								"component": "nc-input",
								"attribute": {
									"input-style": "font-size: 44px; font-weight: bold; fit-text: fit; text-align: center;",
									"model": "rec.pro.sales_order_id",
									"v-on:change": "rec.pdf_update_trigger++"
								}
							}
						]
					},
					{
						"component": "nc-line"
					},
					{
						"component": "nc-row",
						"attribute": {
							"height": "42/145"
						},
						"element": [
							{
								"component": "nc-row",
								"attribute": {
									"height": "4px"
								}
							},
							{
								"component": "nc-col",
								"attribute": {
									"width": "99.8%",
									"class": ["nc-center-v", "nc-center-h"]
								},
								"element": [
									{
										"component": "nc-image",
										"attribute": {
											":src": "rec.picture_path",
											"class": ["nc-center-v", "nc-center-h"],
											"image-style": "object-fit: contain;"
										}
									}
								]
							}
						]
					},
					{
						"component": "nc-row",
						"attribute": {
							"height": "3/145"
						},
						"element": [
							{
								"component": "nc-col",
								"attribute": {
									"class": ["nc-end-h"]
								},
								"element": [
									{
										"component": "nc-input",
										"attribute": {
											"input-style": "font-size: 28px; font-weight: bold; margin-top: -16px;",
											"model": "rec.pr.json_data.thickness",
											"v-on:change": "rec.pdf_update_trigger++"
										}
									}
								]
							}
						]
					},
					{
						"component": "nc-row",
						"attribute": {
							"v-for": "row in [0,1]",
							"height": "25/145"
						},
						"element": [
							{
								"component": "nc-line"
							},
							{
								"component": "nc-col",
								"attribute": {
									"v-for": "col in [1,2,3]",
									"width": "1/3"
								},
								"element": [
									{
										"component": "nc-col",
										"attribute": {
											"class": ["nc-center-v", "nc-center-h"],
											"width": "auto"
										},
										"element": [
											{
												"component": "nc-input",
												"attribute": {
													":model": "'rec.calc.phase[' + (row*3+col) + ']'",
													"input-style": "font-size: 56px; font-weight: bold; fit-text: fit; text-align: center; margin-right: 2px",
													"v-on:change": "rec.pdf_update_trigger++"
												}
											}
										]
									},
									{
										"component": "nc-col",
										"attribute": {
											"v-if": "col !== 3",
											"width": "1px"
										},
										"element": [
											{
												"component": "nc-line-v"
											}
										]
									}
								]
							}
						]
					}
				]
			}
		]
	}
}
